enhance: XEnhance Struct Reference

| enhance Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XEnhance Struct Reference
Enhance_v7_1

The Enhance driver instance data structure. More...

## Data Fields
XEnhance_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instantly are initialized. More...
u16 | HSize
| Active Video Horizontal Size. More...
u16 | VSize
| Active Video Vertical Size. More...
XEnhance_CallBack | ProcStartCallBack
| Callback for Processing Start interrupt. More...
void * | ProcStartRef
| To be passed to Process Start interrupt callback. More...
XEnhance_CallBack | FrameDoneCallBack
| Callback for Frame Done interrupt. More...
void * | FrameDoneRef
| To be passed to the Frame Done interrupt callback. More...
XEnhance_ErrorCallBack | ErrCallBack
| Callback for Error interrupt. More...
void * | ErrRef
| To be passed to the Error interrupt callback. More...

## Detailed Description

The Enhance driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

XEnhance_Config XEnhance::Config

Hardware configuration.

Referenced by XEnhance_CfgInitialize(), XEnhance_EnableDbgTestPattern(), XEnhance_GetActiveSize(), XEnhance_GetDbgFrameCount(), XEnhance_GetDbgLineCount(), XEnhance_GetDbgPixelCount(), XEnhance_GetEdgeStrength(), XEnhance_GetHaloSuppress(), XEnhance_IntrHandler(), XEnhance_IsDbgTestPatternEnabled(), and XEnhance_SetActiveSize().

XEnhance_ErrorCallBack XEnhance::ErrCallBack

Callback for Error interrupt.

Referenced by XEnhance_CfgInitialize(), XEnhance_IntrHandler(), and XEnhance_SetCallBack().

void* XEnhance::ErrRef

To be passed to the Error interrupt callback.

Referenced by XEnhance_IntrHandler(), and XEnhance_SetCallBack().

XEnhance_CallBack XEnhance::FrameDoneCallBack

Callback for Frame Done interrupt.

Referenced by XEnhance_CfgInitialize(), XEnhance_IntrHandler(), and XEnhance_SetCallBack().

void* XEnhance::FrameDoneRef

To be passed to the Frame Done interrupt callback.

Referenced by XEnhance_IntrHandler(), and XEnhance_SetCallBack().

u16 XEnhance::HSize

Active Video Horizontal Size.

u32 XEnhance::IsReady

Device and the driver instantly are initialized.

Referenced by XEnhance_CfgInitialize(), XEnhance_IntrHandler(), and XEnhance_SetCallBack().

XEnhance_CallBack XEnhance::ProcStartCallBack

Callback for Processing Start interrupt.

Referenced by XEnhance_CfgInitialize(), XEnhance_IntrHandler(), and XEnhance_SetCallBack().

void* XEnhance::ProcStartRef

To be passed to Process Start interrupt callback.

Referenced by XEnhance_IntrHandler(), and XEnhance_SetCallBack().

u16 XEnhance::VSize

Active Video Vertical Size.